> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quote per instrument

> Retrieves the current quote for a specific instrument.

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    InstrumentsService instrumentsService = IntxServiceFactory.createInstrumentsService(client);
    GetInstrumentQuoteRequest request = new GetInstrumentQuoteRequest.Builder()
        .instrumentId("BTC-PERP")
        .build();
    GetInstrumentQuoteResponse response = instrumentsService.getInstrumentQuote(request);
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var instrumentsService = new InstrumentsService(client);
    var request = new GetInstrumentQuoteRequest(
        InstrumentId: "BTC-PERP",
    );
    var response = instrumentsService.GetInstrumentQuote(request);
    ```

    For more information, please visit the [INTX .NET SDK](https://github.com/coinbase-samples/intx-sdk-dotnet).
  </Tab>

  <Tab value="Go" title="Go">
    ```go theme={null}
    instrumentsSvc := instruments.NewInstrumentsService(client)
    request := &instruments.GetInstrumentQuoteRequest{
        InstrumentId: "BTC-PERP",
    }
    response, err := instrumentsSvc.GetInstrumentQuote(context.Background(), request)
    ```

    For more information, please visit the [INTX Go SDK](https://github.com/coinbase-samples/intx-sdk-go).
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = GetQuotePerInstrumentRequest(
        instrument_id="BTC-PERP",
    )
    response = client.get_quote_per_instrument(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const instrumentsService = new InstrumentsService(client);

    instrumentsService.getQuote({
        instrument: 'ETH-PERP',
    }).then(async (response) => {
        console.log('Instrument Quote: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>

  <Tab value="CLI" title="CLI">
    ```
    intxctl get-quote-per-instrument --help
    ```

    For more information, please visit the [INTX CLI](https://github.com/coinbase-samples/intx-cli).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/instruments/{instrument}/quote
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/instruments/{instrument}/quote:
    get:
      tags:
        - Instruments
      summary: Get quote per instrument
      description: Retrieves the current quote for a specific instrument.
      operationId: getInstrumentQuote
      parameters:
        - name: instrument
          in: path
          description: >-
            Identifies the instrument by name (e.g., `BTC-USDC`), UUID (e.g.,
            `ce55a827-f04a-45c0-9d9b-8bbdb9b48065`), or instrument ID (e.g.,
            `7149252043835013`)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Instrument list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstrumentQuote_v1'
        '400':
          description: Invalid attribute
components:
  schemas:
    InstrumentQuote_v1:
      type: object
      properties:
        best_bid_price:
          description: >-
            The highest buy order price resting on the book. For spot
            instruments which route orders to Coinbase Exchange, this field may
            be temporarily set to 0 if REST API cannot reach Coinbase Exchange;
            in a future release the field will not be populated if Coinbase
            Exchange is unreachable.
          type: string
          example: 20000.5
        best_bid_size:
          description: >-
            The total amount available at the best bid price. For spot
            instruments which route orders to Coinbase Exchange, this field may
            be temporarily set to 0 if REST API cannot reach Coinbase Exchange;
            in a future release the field will not be populated if Coinbase
            Exchange is unreachable
          type: string
          example: 3.541424
        best_ask_price:
          description: >-
            The lowest sell order price resting on the book. For spot
            instruments which route orders to Coinbase Exchange, this field may
            be temporarily set to 0 if REST API cannot reach Coinbase Exchange;
            in a future release the field will not be populated if Coinbase
            Exchange is unreachable
          type: string
          example: 20001.75
        best_ask_size:
          description: >-
            The total amount available at the best ask price. For spot
            instruments which route orders to Coinbase Exchange, this field may
            be temporarily set to 0 if REST API cannot reach Coinbase Exchange;
            in a future release the field will not be populated if Coinbase
            Exchange is unreachable
          type: string
          example: 2.8754
        trade_price:
          description: >-
            The price of the most recent trade. For spot instruments which route
            orders to Coinbase Exchange, this field may be temporarily set to 0
            if REST API cannot reach Coinbase Exchange; in a future release the
            field will not be populated if Coinbase Exchange is unreachable
          type: string
          example: 20000.63
        trade_qty:
          description: >-
            The size of the most recent trade. For spot instruments which route
            orders to Coinbase Exchange, this field may be temporarily set to 0
            if REST API cannot reach Coinbase Exchange; in a future release the
            field will not be populated if Coinbase Exchange is unreachable
          type: string
          example: 0.73
        index_price:
          description: >-
            For perpetual futures only, the index price used for the funding
            process
          type: string
          example: 20001.45
        mark_price:
          description: The current mark price value used in risk and margin calculations
          type: string
          example: 20000.63
        settlement_price:
          description: The most recent settlement price value
          type: string
          example: 20000.23
        limit_up:
          description: >-
            The max price the book allows buy orders to trade. For spot
            instruments which route orders to Coinbase Exchange this field is
            not set, set to "", or 0
          type: string
          example: 21056.35
        limit_down:
          description: >-
            The min price the book allows sell orders to trade. For spot
            instruments which route orders to Coinbase Exchange this field is
            not set, set to "", or 0
          type: string
          example: 19531.5
        predicted_funding:
          description: >-
            The predicted funding rate based on the current state of a rolling
            calculation
          type: string
          example: 0.1543
        timestamp:
          description: The timestamp of the last quote update
          type: string
          format: date-time

````